Bug 22476 - MarkLostItemsAsReturned has wrong defaults for new installs
Summary: MarkLostItemsAsReturned has wrong defaults for new installs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 19287
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-07 16:43 UTC by Nick Clemens
Modified: 2019-03-26 06:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22476: Correct default for MarkLostItemsAsReturned (1.79 KB, patch)
2019-03-07 16:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22476: Correct default for MarkLostItemsAsReturned (1.83 KB, patch)
2019-03-08 20:43 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22476: Correct default for MarkLostItemsAsReturned (1.90 KB, patch)
2019-03-12 12:13 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-03-07 16:43:11 UTC
bug 19287 added 'pendingreserves' as an option for MarkLostItemsAsReturned, but did not add it to the options for the syspref in sysprefs.sql

Additionally, the values should be comma separated, not pipe
Comment 1 Nick Clemens 2019-03-07 16:49:55 UTC
Created attachment 86303 [details] [review]
Bug 22476: Correct default for MarkLostItemsAsReturned

To test:
Install a new db (reset_all)
Verify the sysprefs is set as expected
Comment 2 Bin Wen 2019-03-08 20:43:39 UTC
Created attachment 86404 [details] [review]
Bug 22476: Correct default for MarkLostItemsAsReturned

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 3 Martin Renvoize 2019-03-12 12:13:36 UTC
Created attachment 86514 [details] [review]
Bug 22476: Correct default for MarkLostItemsAsReturned

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-03-12 12:13:55 UTC
Trivial patch, Passing QA
Comment 5 Nick Clemens 2019-03-15 12:49:30 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-03-19 09:40:18 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-19 23:19:20 UTC
backported to 18.05.x for 18.05.11
Comment 8 Fridolin SOMERS 2019-03-26 06:24:58 UTC
Depends on Bug 19287 not in 17.11.x